HTTPSEverywhere.UpdateState – httpseverywhere-0.4 Reference Manual

# UpdateState

## Description:

public enum UpdateState

This enumerates states the update passes through. They can be obtained via Updater.update_state And used to show informative messages about progress to the user.

Namespace: HTTPSEverywhere
Package: httpseverywhere-0.4

## Content:

### Enum values:

- FINISHED
- CHECKING_AVAILABILITY
- DOWNLOADING_XPI
- DECOMPRESSING_XPI
- COPYING_RULES